Using Management Consoles


About this Tour

What is MMC?

MMC Options

Taskpads

Administrator Console

Power User Console

Learn More


About this Tour

This tour provides a short introduction to Using Management Consoles in Small business Server 2000.

You may navigate through this tour using the buttons above or by clicking the links to the left.

This tour explains the following issues:

  • What MMC is and how you can use it
  • MMC options and tools, such as taskpads
  • The management consoles that ship with Small Business Server

At the end of the tour, additional information about management consoles is listed on the Learn More page. This may include links to Web resources, links to online help topics or other tours, references to the Small Business Server 2000 Planning and Installation guide, and additional reference material such as Knowledge Base articles and Microsoft Press publications.


What is a Management Console?

The Microsoft Management Console (MMC) provides a framework for centralized network monitoring and management.

Similar to Windows Explorer, the Console Tree contains the Console Tree tab and a Favorites tab, while the Details Pane contains details about the selected node in the Console Tree. Together, these panes form the namespace.

The Console Tree tab in the Console Tree contains the snap-ins that provide management functionality. For the currently selected node in the Console Tree, the Details Pane contains the child nodes and information about the node. The Favorites tab lets you gain access to nodes or taskpads quickly.

Taskpads typically contain folder lists, task icons, and links to graphical interfaces that enable you to perform a task.


MMC Options

MMC lets you manage your network more flexibly. Small Business Server 2000 provides consoles that you can use immediately after installation. You can create your own custom consoles or customize existing consoles for use on your network. MMC (.msc) console files are easily deployed throughout your network. For a description of each option, click a link below:

  • Use an Existing Console
  • Create a Console
  • Customize a Console
  • Deploy a Console


Use an Existing Console

Small Business Server 2000 contains preconfigured management consoles, including consoles with taskpad views that are exclusive to Small Business Server.


Create a Console

You can create a custom console by opening a new console file, adding snap-ins, and creating taskpads. You can also customize taskpad views by adding or removing tasks from taskpads. When you have created your new console, you can save it with a unique name to any location you choose—your desktop, for example.


Customize a Console

You can customize console navigation, the number of snap-ins a console contains, the taskpads and tasks that are visible, the icons that represent different tasks, and whether a deployed console may be further customized.


Deploy a Console

After you create or customize a management console, you can deploy the console (.msc) file by making it available through a Terminal Services session.


Small Business Server Taskpads

Small Business Server 2000 provides a task-oriented console for day-to-day network management. Available taskpads include:

Home Taskpad. Lets you monitor server health by using the Server Status View.

Users Taskpad. Lets you add a user to a group, change a user’s password, change user properties or remove a user, and run the Add User Wizard.

Groups Taskpad. Lets you change or remove a group and run the Add Group Wizard.

Folders Taskpad. Lets you change a folder, stop sharing a folder, and run the Add Shared Folder Wizard.


Administrator Console

Small Business Server 2000 provides the Small Business Server Administrator Console for members of the Administrators group. This console contains a full range of management snap-ins, including the BackOffice Manager, Health Monitor, BackOffice Home, snap-ins for Small Business Server applications, tips, and links to online Help.

  • Type of Console
  • Remote Administration
  • Customization


Type of Console

The Small Business Server Administrator Console is a tree-oriented console containing both a tree and Favorites tab in the Console Tree and a customizable view in the Details Pane.


Remote Administration

Remote administration is accomplished through Terminal Services. The Small Business Server consoles are installed on the Small Business Server, so the technology consultant can begin a Terminal Services session on a local computer and use native tools to manage the computer running Small Business Server.


Customization

The Small Business Server Administrator Console is preconfigured with a full set of management snap-ins and is saved to allow further customization such as adding or changing snap-ins and taskpads. You are encouraged to build customized management tools based on your specific needs.


Power User Console

Small Business Server 2000 provides the Small Business Server Personal Console for office power users. This console contains limited management tools, including the BackOffice Home taskpad with the Server Status View, as well as taskpads for users, groups, and computers.

The Small Business Server Personal Console is a task-oriented console containing only a Favorites tab in the Console Tree and a set of taskpads in the Details Pane. The tree view is hidden, preventing users from navigating the snap-in structure of the console.


Learn More

You have now finished the Management Console tour. For additional information, click the links below to go to the appropriate resource.

Web site

Small Business Server

Search Knowledge Base

Microsoft Technet

Microsoft Press

Microsoft Developers Network (MSDN)

Online Help

Add a Snap-in

Remove a Snap-in

Create a Taskpad

Delete a Taskpad

Add a Task to a Taskpad

Delete a Task from a Taskpad

Customize the Console View

Save and Deploy Console Files

Give Users Access to Terminal Services


Planning Guide

Microsoft Small Business Server 2000 Planning and Installation, Chapter 6, "Administration."

Planning and Installation Online